nvme_namespace_detach_ctrls(9)

NAME
nvme_namespace_detach_ctrls - Detach namespace from controller(s)

SYNOPSIS
int nvme_namespace_detach_ctrls (int fd , __u32 nsid , __u16 num_ctrls , __u16 *ctrlist );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace ID to detach

num_ctrls
    Number of controllers in ctrlist

ctrlist
    List of controller IDs to perform the detach action

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.